# Release 2.11.0

## Summary
This is a small but mighty release with several important bug fixes and much needed updates to dependencies. Specifically, this release adds functionality to pull local images using Skopeo. Previously, Tern would always pull the image provided using the `report -i` option from a registry. Additionally, this release updates the SPDX reports to include license information from Debian packages. Previously, Tern omitted this information as it was not provided by a package manager but, rather, abstracted from copyright text. Tern will now use the license text found in Debian copyright files and list it as the declared package license as either an SPDX license identifier (if applicable), or, as an SPDX LicenseRef.

**NOTE**: At the time this release was cut there was an open CVE for GitPython ([CVE-2022-24439](https://nvd.nist.gov/vuln/detail/CVE-2022-24439)) with no fix available. As soon as a fix is available, Tern will publish a patched release to include an updated version of GitPython.

## New Features
* [Add functionality to pull local images with skopeo](https://github.com/tern-tools/tern/pull/1198): In order to analyze local images with Tern, prefix your local image with `docker-daemon:` when generating a report.
* [Include license info for deb pkgs in SPDX reports](https://github.com/tern-tools/tern/issues/1188)

## Bug Fixes
* [Replace invalid license key characters](https://github.com/tern-tools/tern/issues/1199)

## Technical Debt
* [Update debian-inspector requirement](https://github.com/tern-tools/tern/issues/1185)
* [Update SPDX license list to 3.19](https://github.com/tern-tools/tern/pull/1192)

## Changelog
Note: This changelog will not include these release notes

Changelog generated by command: `git log --pretty=format:"%h %s" v2.10.1..HEAD`

```
48e22cf Replace inalid license key characters
40b981c Add functionality to pull local images with skopeo
c5919fa Include license info for deb pkgs in SPDX reports
8a1a75c Update debian-inspector requirement
23aec2f Update LicenseListVersion to 3.19
3e7ee23 Fix complaints from Prospector
38f20a6 Update LicenseListVersion to 3.19
2dd3599 Update LicenseListVersion: 3.17
d916d77 Updates maintainers affiliation
0bb0e90 LicenseListVersion: 3.17
f7003e7 Update README.md: SPDX is now an ISO standard
385f2e6 LicenseListVersion: 3.17
3b737fb LicenseListVersion: 3.17
```

## Contributors
```
Ivana Atanasova iyovcheva@vmware.com
Marc-Etienne Vargenau marc-etienne.vargenau@nokia.com
Rui Valim ruivalim@protonmail.com
```

## Contact the Maintainers

Nisha Kumar: nishak@vmware.com
Rose Judge: rjudge@vmware.com

